%define apuver 1

Summary: Apache Portable Runtime Utility library
Name: apr-util
Version: 1.6.1
Release: 12%{?dist}1a
License: ASL 2.0
URL: https://apr.apache.org/
Source0: https://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
BuildRequires: apr-devel >= 1.3.0

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Summary: APR utility library development kit
Requires: apr-util%{?_isa} = %{version}-%{release}, apr-devel%{?_isa}, pkgconfig

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q


%build
./configure --prefix=%{_prefix} --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apuver} \
        --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc CHANGES NOTICE
%license LICENSE
%{_libdir}/libaprutil-%{apuver}.0.dylib
%dir %{_libdir}/apr-util-%{apuver}
%{_libdir}/apr-util-%{apuver}/*

%files devel
%{_bindir}/apu-%{apuver}-config
%{_libdir}/libaprutil-%{apuver}.dylib
%{_includedir}/apr-%{apuver}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jun 6 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.6.1-12hepx1a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang
